This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 470628 (stabilization)

Summary: Boot message: Could not detect stabilization, waiting 10 seconds
Product: [Fedora] Fedora Reporter: Lebenskuenstler <linuxbenutzer>
Component: mkinitrdAssignee: Peter Jones <pjones>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 10CC: alsadi, amk, am, apodtele, arancherinnebraska, bbbush.yuan, bdwheele, beland, bertrand.benoit, bruno, bugzilla.redhat.com, cenomanien, chris, cj, dafydd, d-bugzilla, dextro, drwilken, fedora, fedoration, florian.a.jung, ghost2097, gnafu_the_great, hdegoede, hitboxx, hlingler, honeybeenet, humpf, jcanas2000, john5342, john.brown009, john.ellson, joropo, kamilpe, katzj, kernel-maint, krnlbg, lejocelyn, linuxboy_007, lsof, makoto, marek78uk, mavit, moneta.mace, mosonkonrad, mpajoh, mwc-250sav, netllama, nexor, nick.stumpos, phil, pjmtavares, pjones, quintela, ralston, red, redhat-bugzilla, red, rmj, rosset.filipe, russ+bugzilla-redhat, sameer.subscriptions, sangu.fedora, sergejx, swarren, tom_atkinson, tomg68, tomspur, torsten.rausche, turchi, walovaton, Winfrid.Tschiedel, wtogami, yaneti
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-17 19:41:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
lspci on HP 2133 none

Description Lebenskuenstler 2008-11-07 21:34:03 EST
Description of problem:

since the last yum update to kernel 2.6.27.4-79 I get this confusing error message prior to boot, even before LVM is loading. Afterwards everything goes fine.

The precise message is:
Could not detect stabilization, waiting 10 seconds. 

I do not think, the boot procedure is not truly delayed 10 seconds, first you see only the cursor blinking, then the message appears, then you see LVM reading the volumes.

Afterwards everything seems to be normal. I get this error on an HP 2133. Output of lspci attached. HP 2133 has a SATA Harddrive, not SSD (at least my model)

What the hack is this anyway for???

Version-Release number of selected component (if applicable):

2.6.27.4-79

How reproducible:

Every time when you power up the machine
Comment 1 Lebenskuenstler 2008-11-07 21:36:06 EST
Created attachment 322923 [details]
lspci on HP 2133
Comment 2 Aznar 2008-11-08 11:20:05 EST
I've got the same problem here, on a eeePC 900a. If I can provide any useful info, let me know.
Comment 3 Andy Lawrence 2008-11-08 18:47:33 EST
Same here, 11/8/08 Rawhide:

Could not detect stabilization, waiting 10 seconds.

  Reading all physical volumes.  This may take a while...

  Found volume group "VolGroup00" using metadata type lvm2

  2 logical volume(s) in volume group "VolGroup00" now active

Doesn't seem to cause any problems, not sure what else to add, can't find anything related in any log file.
Comment 4 Konrad Mosoń 2008-11-10 05:56:04 EST
I have the same problem on ASUS A9RP. I don't have LVM.
Comment 5 Torsten Rausche 2008-11-10 07:04:04 EST
(In reply to comment #0)
> I do not think, the boot procedure is not truly delayed 10 seconds, first you
> see only the cursor blinking, then the message appears, then you see LVM
> reading the volumes.

As far as I can say it is really doing nothing for 10 seconds after the message appears.

I don't use LVM. Drives are only attached to the PATA Controller. The SATA controller is not used.

# lspci | grep IDE
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)

For me this waiting phase is slowing down the boot process by one fourth!
Comment 6 Sandro Mathys 2008-11-11 11:07:56 EST
I can confirm this issue on my Asus EeePC 1000H.

$ lspci | grep IDE
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
Comment 7 nick stumpos 2008-11-11 11:11:47 EST
same here on a compaq presario v6000 it definitely seems to be stalling for at least 10 seconds
$lspci | grep IDE
00:06.0 IDE interface: nVidia Corporation MCP67 IDE Controller (rev a1)
00:09.0 IDE interface: nVidia Corporation MCP67 AHCI Controller (rev a2)
Comment 8 Konrad Mosoń 2008-11-11 15:44:12 EST
my ASUS A9RP:
$$ lspci | grep IDE
00:14.1 IDE interface: ATI Technologies Inc IXP SB400 IDE Controller (rev 80)

this is hardware independent i think
Comment 9 Luis Nabais 2008-11-12 11:40:14 EST
I can confirm this happens to me using kernel 2.6.27.4-79.fc10.x86_64 and with the following result out of "lspci | grep IDE":
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
Comment 10 German Pacenza 2008-11-12 16:43:53 EST
Confirmed in latest kernel update 2.6.27.5-94.fc10.x86_64 (ASUS P5GDC Deluxe)
Comment 11 Dennis Jacobfeuerborn 2008-11-12 20:23:51 EST
Same here:

kernel-2.6.27.5-94.fc10.i686
ASRock ALiveNF6G-VSTA

lspci |grep IDE:
00:06.0 IDE interface: nVidia Corporation MCP61 IDE (rev a2)
00:08.0 IDE interface: nVidia Corporation MCP61 SATA Controller (rev a2)
00:08.1 IDE interface: nVidia Corporation MCP61 SATA Controller (rev a2)

This doesn't show up when I boot: kernel-2.6.27.4-58.fc10.i686
Comment 12 Christian Wilken 2008-11-14 11:52:24 EST
Same here:

[drwilken@xpc ~]$ uname -a
Linux xpc.tux-power.dk 2.6.27.5-94.fc10.x86_64 #1 SMP Mon Nov 10 15:19:36 EST 2008 x86_64 x86_64 x86_64 GNU/Linux
[drwilken@xpc ~]$ lspci | grep IDE
00:0f.0 IDE interface: VIA Technologies, Inc. VIA VT6420 SATA RAID Controller (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
Comment 13 Eric Ciroux 2008-11-14 13:31:39 EST
Hello,

I still get the same message with 2.6.27.5-109.fc10.x86_64; see below extract from /var/log/boot.log :

Loading /lib/kbd/keymaps/i386/azerty/fr-latin9.map <--- using French keyboard
Could not detect stabilization, waiting 10 seconds.
                Welcome to Fedora
                Press 'I' to enter interactive startup.
Starting udev: OK 
... and so on ... business as usual

No problem running 2.6.27.5-109.fc10.x86_64 besides this «warning» message.

Laptop is Asus F3JC, no LVM, only one «/» partition ext3.
Comment 14 Mace Moneta 2008-11-14 16:26:11 EST
Seeing this here too, on every boot.

Supermicro C2SEA, kernel-2.6.27.5-109.fc10.x86_64, drives are all SATA (2xHD, 2xDVD), and there's also a USB flash reader.

lspci -vvv for the SATA controllers:

00:1f.2 IDE interface: Intel Corporation 82801JI (ICH10 Family) 4 port SATA IDE 
Controller (prog-if 8f [Master SecP SecO PriP PriO])
        Subsystem: Super Micro Computer Inc Device b880
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Step
ping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort
- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin B routed to IRQ 19
        Region 0: I/O ports at bc00 [size=8]
        Region 1: I/O ports at b880 [size=4]
        Region 2: I/O ports at b800 [size=8]
        Region 3: I/O ports at b480 [size=4]
        Region 4: I/O ports at b400 [size=16]
        Region 5: I/O ports at b080 [size=16]
        Capabilities: [70] Power Management version 3
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot
-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [b0] PCIe advanced features <?>
        Kernel driver in use: ata_piix
        Kernel modules: ata_generic, pata_acpi

00:1f.5 IDE interface: Intel Corporation 82801JI (ICH10 Family) 2 port SATA IDE 
Controller (prog-if 85 [Master SecO PriO])
        Subsystem: Super Micro Computer Inc Device b880
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Step
ping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort
- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin B routed to IRQ 19
        Region 0: I/O ports at ac00 [size=8]
        Region 1: I/O ports at a880 [size=4]
        Region 2: I/O ports at a800 [size=8]
        Region 3: I/O ports at a480 [size=4]
        Region 4: I/O ports at a400 [size=16]
        Region 5: I/O ports at a080 [size=16]
        Capabilities: [70] Power Management version 3
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot
-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [b0] PCIe advanced features <?>
        Kernel driver in use: ata_piix
        Kernel modules: ata_generic, pata_acpi
Comment 15 Dennis Jacobfeuerborn 2008-11-16 00:20:02 EST
I think this bug is relevant for the "faster startup" feature of F10:
http://fedoraproject.org/wiki/Features/30SecondStartup
Comment 16 Gideon Mayhak 2008-11-16 15:31:21 EST
I am experiencing the exact same behavior on a Compaq F572US with the last several kernels.

[root@gidux-laptop-rawhide ~]# lspci
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:05.0 VGA compatible controller: nVidia Corporation MCP51 PCI-X GeForce Go
6100 (rev a2)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
00:0a.3 Co-processor: nVidia Corporation MCP51 PMU (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev f1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev f1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address
Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
03:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev
02)
Comment 17 Carlo Raudino 2008-11-18 03:57:50 EST
same problem here. I have kernel 2.6.27.5-113

the message appears after:
pata_amd 0000:00:08.0: power state changed by ACPI to D0


lspci:

00:00.0 Host bridge: nVidia Corporation nForce3 250Gb Host Bridge (rev a1)
00:01.0 ISA bridge: nVidia Corporation nForce3 250Gb LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation nForce 250Gb PCI System Management (rev a1)
00:02.0 USB Controller: nVidia Corporation CK8S USB Controller (rev a1)
00:02.1 USB Controller: nVidia Corporation CK8S USB Controller (rev a1)
00:02.2 USB Controller: nVidia Corporation nForce3 EHCI USB 2.0 Controller (rev a2)
00:05.0 Bridge: nVidia Corporation CK8S Ethernet Controller (rev a2)
00:08.0 IDE interface: nVidia Corporation CK8S Parallel ATA Controller (v2.5) (rev a2)
00:0a.0 IDE interface: nVidia Corporation CK8S Serial ATA Controller (v2.5) (rev a2)
00:0b.0 PCI bridge: nVidia Corporation nForce3 250Gb AGP Host to PCI Bridge (rev a2)
00:0e.0 PCI bridge: nVidia Corporation nForce3 250Gb PCI-to-PCI Bridge (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 AS [Radeon 9550]
01:00.1 Display controller: ATI Technologies Inc RV350 AS [Radeon 9550] (Secondary)
02:06.0 FireWire (IEEE 1394): Agere Systems FW323 (rev 61)
Comment 18 Gideon Mayhak 2008-11-19 20:39:09 EST
I am still receiving the message and a 10-second wait with today's update.

kernel.x86_64                               2.6.27.5-117.fc10
Comment 19 TK009 2008-11-21 00:00:00 EST
This bug has been triaged
Comment 20 wview 2008-11-25 08:50:28 EST
Same here, x86_64 , all updates current as of this post.


00:00.0 Host bridge: nVidia Corporation C55 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:00.2 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:00.3 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:00.4 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:00.5 RAM memory: nVidia Corporation C55 Memory Controller (rev a2)
00:00.6 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:00.7 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.0 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.1 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.2 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.3 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.4 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.5 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:01.6 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:02.0 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:02.1 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:02.2 RAM memory: nVidia Corporation C55 Memory Controller (rev a1)
00:03.0 PCI bridge: nVidia Corporation C55 PCI Express bridge (rev a1)
00:06.0 PCI bridge: nVidia Corporation C55 PCI Express bridge (rev a1)
00:07.0 PCI bridge: nVidia Corporation C55 PCI Express bridge (rev a1)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
00:0a.2 RAM memory: nVidia Corporation MCP51 Memory Controller 0 (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1)
Comment 21 markm 2008-11-25 18:53:35 EST
I've just installed Fedora 10 on Dell Latitude D620, getting the same error.

[marek@d620 Desktop]$ lspci | grep IDE
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 01)
Comment 22 Bug Zapper 2008-11-26 00:01:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Jesse Kahtava 2008-11-26 11:36:42 EST
I, too, am getting this error on a Thinkpad T40. It seems to be adding 10 seconds to the boot sequence. I counted to 10 after grub finishes and just after the 10 second mark the password box for disk encryption appears.
Here's my Smolt profile:
http://www.smolts.org/client/show/pub_52d7367e-80d0-479c-bb50-e5218741cf0c
Comment 24 Filipe Rosset 2008-11-27 06:15:55 EST
I've found this bug on a Toshiba M45S2693 Pentium M 1.73Ghz and this error adding 10 seconds to the boot process.
Comment 25 Kamil Pawlowski 2008-11-27 08:56:37 EST
I have the same on abit AN52:

00:08.0 PCI bridge: nVidia Corporation MCP65 PCI bridge (rev a1)
00:09.0 IDE interface: nVidia Corporation MCP65 IDE (rev a1)
00:0a.0 IDE interface: nVidia Corporation MCP65 SATA Controller (rev a1)
Comment 26 Shrikant Odugoudar 2008-11-28 03:33:38 EST
I am having the same problem on x86_64 of Fedora 10 updated from rawhide but only during single user mode (runlevel 1). I get the same stabilization message and it hangs at Udev..

PC is a C2D, 2gigs RAM, nVidia Quadro gfx card, 3 SATA hard disks.

I DON'T use LVM or any RAID configurations.

[hitboxx@Mothership ~]$ lspci
00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82945G/GZ/P/PL PCI Express Root Port (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E PCI Express Fast Ethernet controller (rev 02)
04:00.0 VGA compatible controller: nVidia Corporation G73GL [Quadro FX 560] (rev a1)
05:01.0 Multimedia controller: Philips Semiconductors SAA7130 Video Broadcast Decoder (rev 01)
05:02.0 Multimedia audio controller: Creative Labs [SB Live! Value] EMU10k1X

[hitboxx@Mothership ~]$ uname -a
Linux Mothership 2.6.27.5-117.fc10.x86_64 #1 SMP Tue Nov 18 11:58:53 EST 2008 x86_64 x86_64 x86_64 GNU/Linux
Comment 27 CJ van den Berg 2008-11-28 06:50:20 EST
I have this issue too on a Dell XPS m1330 (f10 x86_64)

Perhaps the nash fixes from https://bugzilla.redhat.com/show_bug.cgi?id=466607 actually broke the stabilized call instead of fixing it?

I've removed the stabilized call from mkinitrd entirely on my system and it still boots fine (just 10 seconds faster, obviously!), so I assume the sata scan is already complete and /proc/scsi/scsi is already stable.
Comment 28 Jesse Kahtava 2008-11-28 07:24:38 EST
I, too, was able to boot quicker and without the message after commenting out:

stabilized --hash --interval 250 /proc/scsi/scsi

within mkinitrd's init file. Everything seems to be working fine without it. Perhaps this is necessary with certain scsi/sata devices, but my computer doesn't have any so I don't see why it should be enabled.
Comment 29 Jesse Kahtava 2008-11-28 07:30:13 EST
on a related note: is there an init template file I could change so future mkinitrd rebuilds have it commented out by default?
Comment 30 Dennis Jacobfeuerborn 2008-11-28 08:17:37 EST
(In reply to comment #29)
> on a related note: is there an init template file I could change so future
> mkinitrd rebuilds have it commented out by default?

I guess somebody put that line in there for a reason so I would rather like to see someone knowledgeable with these things address this properly.
What was the reason for putting that line in there or alternatively what was the reason for changing the timing so that now a lot of people get this 10s delay?
Is the timing just slightly too aggressive?
Is this only a safety kludge for some chipsets which could better be handled by a black-/whitelist?
Comment 31 am 2008-11-30 03:01:58 EST
I have this issue on an Acer Aspire One with SSD hard-drive and on a computer with Intel's P35 motherboard.
Comment 32 Joachim Backes 2008-12-01 05:18:09 EST
Having the same issue on a MSI K7N2 Delta board (based on NVIDIA nForce 2) and AMD Athlon XP processor, with 2 IDE disk drives and 2 USB-2 disk drives.

The message appears immediately after the USB drive detection.

00:00.0 Host bridge: nVidia Corporation nForce2 IGP2 (rev c1)
00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev c1)
00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev c1)
00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev c1)
00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev c1)
00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev c1)
00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a4)
00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet Controller (rev a1)
00:06.0 Multimedia audio controller: nVidia Corporation nForce2 AC97 Audio Controler (MCP) (rev a1)
00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev a3)
00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)
00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev c1)
02:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200] (rev a1)
Comment 33 Sameer Naik 2008-12-02 09:33:01 EST
I too have the same issue.
Intel GM695 Mobile Graphic Media Accelerator.
Comment 34 Sean E. Millichamp 2008-12-02 10:05:33 EST
I also have the same issue.  Dell Latitude D820:

# lspci | grep IDE
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 01)
Comment 35 Lonni J Friedman 2008-12-02 16:22:07 EST
Same here with an old VIA chipset based mobo:

00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
Comment 36 Warren Togami 2008-12-03 17:16:51 EST
/sbin/mkinitrd:

        # some of these aren't modules any more, but that 
        # generally makes them so much more likely to win
        # the race that we haven't seen cases where it matters
        # yet.  Nevertheless:
        # XXX PJFIX: we need a better mechanism here.
        if [ 1 -eq 0 \
                -o "ahci" == "$module" \
                -o "ata_piix" == "$module" \
                -o "ibmvscsic" == "$module" \
                -o "BusLogic" == "$module" \
                -o "mptbase" == "$module" \
                -o "pata_" == "${module::5}" \
                -o "qla" == "${module::3}" \
                -o "sata_" == "${module::5}" \
                ]; then
            wait_for_scsi="yes"
        fi
    done
    if [ "$wait_for_scsi" == "yes" ]; then
        emit "echo Waiting for driver initialization."
        emit "stabilized --hash --interval 250 /proc/scsi/scsi"
    fi

It is failing to use either scsi_wait_scan (because no scsi_mod) and stabilized in cases where the disk controller module is not listed in this hard-coded list.   One example of a driver not covered by this list is megaraid*.  If the controller is not fully up by the time it tries to use them, we see failures like not finding the disks.
Comment 37 Vlad 2008-12-05 10:57:26 EST
Same bug:
[krnlbg@localhost ~]$ cat /var/log/boot.log
Loading /lib/kbd/keymaps/i386/qwerty/us.map
Could not detect stabilization, waiting 10 seconds.
mdadm: /dev/md2 has been started with 2 drives.
mdadm: /dev/md1 has been started with 2 drives.
		Welcome to Fedora 
		Press 'I' to enter interactive startup.

lspci:
[krnlbg@localhost ~]$ lspci
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev a2)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev a3)
00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev a3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:07.0 Multimedia audio controller: Creative Labs SB Audigy (rev 04)
01:07.1 Input device controller: Creative Labs SB Audigy Game Port (rev 04)
01:07.2 FireWire (IEEE 1394): Creative Labs SB Audigy FireWire Port (rev 04)
01:0a.0 Ethernet controller: Marvell Technology Group Ltd. 88E8001 Gigabit Ethernet Controller (rev 13)
05:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600] (rev a2)
Comment 38 Giuseppe Castagna 2008-12-08 13:46:48 EST
One more:

00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 01)
Comment 39 Hans de Goede 2008-12-08 14:07:47 EST
Hello world (aka all in the CC list)

First of all apologies for not responding to this bug for so long, we've been swamped with other stuff. We understand this is an very annoying bug (luckily it does not completely break things).

I've prepared a mkinitrd build, which we believe fixes this, you can find it here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=73912

To give this version a try you need to download the
mkinitrd-6.0.71-3.fc10.XXXX.rpm
nash-6.0.71-3.fc10.XXXX.rpm

Files for your architecture and then as root do:
rpm -ivh mkinitrd-6.0.71-3.fc10.*.rpm nash-6.0.71-3.fc10.*.rpm
mkinitrd -f /boot/mkinitrd-$(uname -r).img $(uname -r)

Warning this *could* leave your system non bootable, so you may want to do:
mkinitrd /boot/mkinitrd-$(uname -r).img2 $(uname -r)

Instead, but then you need to edit your boot commands in grub during boot to make grub use the new initrd (append a "2" at the end of the initrd line) to see if this fixes things.

Please let us know if this fixes things for you (and also, especially even, if the mkinitrd causes the boot of your system to fail).

If this update helps people, I will push it to updates-testing and eventally to the regular updates repository.
Comment 40 Bruno Wolff III 2008-12-08 14:09:38 EST
I tried out mkinitrd-6.0.71-3.fc10.x86_64 on my work machine and i no longer get the stablization message or pause. I'll be trying it on my i686 machine at home tonight.
Comment 41 Mace Moneta 2008-12-08 14:39:39 EST
This corrected the issue here as well.  By the way, I think the command above should have been:

mkinitrd /boot/initrd-$(uname -r).img2 $(uname -r)
Comment 42 Mace Moneta 2008-12-08 14:49:58 EST
Correction, there's no need for the img2 suffix either, right?

mkinitrd -f /boot/initrd-$(uname -r).img $(uname -r)
Comment 43 Jesse Kahtava 2008-12-08 15:11:15 EST
Yep, the fix works fine
Comment 44 Torsten Rausche 2008-12-08 15:30:45 EST
Yes, this fixes it on my system.
Comment 45 Muayyad Alsadi 2008-12-08 16:37:14 EST
it worked for me
I renamed the old initrd and made a new one

mv /boot/initrd-$(uname -r).img /boot/initrd-$(uname -r).img.old
mkinitrd -f /boot/initrd-$(uname -r).img $(uname -r)
Comment 46 Sindre Pedersen Bjørdal 2008-12-08 21:04:23 EST
Does indeed fix the issue. Thanks.
Comment 47 Bruno Wolff III 2008-12-08 21:23:29 EST
This seems to have fixed things on my home machine as well. It was slow enough that I could see a short pause (about 2 seconds) at the check for stablization and then it continued on without the error message.
Comment 48 Joachim Backes 2008-12-09 01:24:49 EST
I tried to install the rpms, but ..................

 rpm -ivh mkinitrd-6.0.71-3.fc10.*.rpm nash-6.0.71-3.fc10.*.rpm
Preparing...                ########################################### [100%]
	file /lib/bdevid/ata.so from install of nash-6.0.71-3.fc10.i386 conflicts with file from package nash-6.0.71-2.fc10.i386
	file /lib/bdevid/scsi.so from install of nash-6.0.71-3.fc10.i386 conflicts with file from package nash-6.0.71-2.fc10.i386
	file /lib/bdevid/usb.so from install of nash-6.0.71-3.fc10.i386 conflicts with file from package nash-6.0.71-2.fc10.i386
	file /sbin/nash from install of nash-6.0.71-3.fc10.i386 conflicts with file from package nash-6.0.71-2.fc10.i386
	file /usr/lib/libbdevid.so.6.0.71 from install of nash-6.0.71-3.fc10.i386 conflicts with file from package nash-6.0.71-2.fc10.i386
	file /usr/lib/libnash.so.6.0.71 from install of nash-6.0.71-3.fc10.i386 conflicts with file from package nash-6.0.71-2.fc10.i386
	file /sbin/grubby from install of mkinitrd-6.0.71-3.fc10.i386 conflicts with file from package mkinitrd-6.0.71-2.fc10.i386
	file /sbin/mkinitrd from install of mkinitrd-6.0.71-3.fc10.i386 conflicts with file from package mkinitrd-6.0.71-2.fc10.i386

I'm not sure to install with --nodeps ??
Comment 49 nick stumpos 2008-12-09 01:31:07 EST
try -Uvh
also i needed the libbdevid-python rpm
the fix appears to fix the message and the 10 second pause here, although there is now what seems to be an unusually long pause between "mounting root device" message and starting udev. probably a completely separate bug now though. Ill get to experimenting.
Comment 50 Joachim Backes 2008-12-09 01:51:00 EST
 rpm -U mkinitrd-6.0.71-3.fc10.i386.rpm  nash-6.0.71-3.fc10.i386rpm 
error: Failed dependencies:
	nash = 6.0.71-2.fc10 is needed by (installed) libbdevid-python-6.0.71-2.fc10.i386
Comment 51 Hans de Goede 2008-12-09 03:21:48 EST
(In reply to comment #50)
>  rpm -U mkinitrd-6.0.71-3.fc10.i386.rpm  nash-6.0.71-3.fc10.i386rpm 
> error: Failed dependencies:
>  nash = 6.0.71-2.fc10 is needed by (installed)
> libbdevid-python-6.0.71-2.fc10.i386

Yes you need to use -U (or -Uvh) not -i, my bad. And on some systems you might need to also download and upgrade libbdevid-python.
Comment 52 Hans de Goede 2008-12-09 03:29:06 EST
Hello world (aka all in the CC list) again

I've made some errors in the usage instructions of the updated mkinitrd packages, apologies. Here is a fixed set of instructions:

To give this version a try you need to download the:
mkinitrd-6.0.71-3.fc10.XXXX.rpm
nash-6.0.71-3.fc10.XXXX.rpm
libbdevid-python-6.0.71-3.fc10.XXXX.rpm
Files for your architecture from:
http://koji.fedoraproject.org/koji/buildinfo?buildID=73912

And then as root do:
rpm -Uvh mkinitrd-6.0.71-3.fc10.*.rpm nash-6.0.71-3.fc10.*.rpm libbdevid-python-6.0.71-3.fc10.*.rpm
mkinitrd -f /boot/initrd-$(uname -r).img $(uname -r)

Warning this *could* leave your system non bootable, so you may want to do:
mkinitrd /boot/initrd-$(uname -r).img2 $(uname -r)

Instead, but then you need to edit your boot commands in grub during boot to
make grub use the new initrd (append a "2" at the end of the initrd line) to
see if this fixes things.

Please let us know if this fixes things for you (and also, especially even, if
this mkinitrd causes the boot of your system to fail).
Comment 53 Joachim Backes 2008-12-09 04:33:25 EST
Great, problem now solved on my box.
Comment 54 Christian Wilken 2008-12-09 06:03:24 EST
Problem solved on x86_64 117 kernel... ;)
Comment 55 Filipe Rosset 2008-12-09 07:31:29 EST
Problem solved on i686 Toshiba M45S2693 Pentium M 1.73Ghz
:)
Comment 56 Giuseppe Castagna 2008-12-09 10:42:42 EST
It works for me. 

00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev
01)
Comment 57 Sergej Chodarev 2008-12-09 10:59:04 EST
Works for mee, too.

I'm using SATA drive and no LVM/RAID.

$ lspci | grep IDE
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
Comment 58 Dave Jones 2008-12-09 14:11:14 EST
*** Bug 473832 has been marked as a duplicate of this bug. ***
Comment 59 Dave Jones 2008-12-09 14:12:19 EST
*** Bug 473305 has been marked as a duplicate of this bug. ***
Comment 60 Vlad 2008-12-09 14:54:39 EST
It works for me! Thank you!
Comment 61 Dave Jones 2008-12-09 15:00:30 EST
*** Bug 454663 has been marked as a duplicate of this bug. ***
Comment 62 Dave Jones 2008-12-09 15:01:52 EST
*** Bug 474796 has been marked as a duplicate of this bug. ***
Comment 63 Luis Nabais 2008-12-09 17:26:36 EST
Works for me too :)
Comment 64 Matt Castelein 2008-12-09 18:57:09 EST
Worked for me.
Comment 65 Matt Castelein 2008-12-09 19:01:43 EST
(In reply to comment #64)
> Worked for me.

Although I feel like noting that if, like me, you had to go back to a previous kernel because the system would not boot at all, "uname -r" will not be an appropriate value and you should specify the version instead.
Comment 66 Dennis Jacobfeuerborn 2008-12-09 22:31:22 EST
Yup, works for me too (MCP61 chipset).
Comment 67 Sameer Naik 2008-12-10 01:28:36 EST
I got it working but not without changes in my /etc/fstab.
I use LVM partitions for my F10 installation and this is what my /etc/fstab looked like

tmpfs           /dev/shm        tmpfs   defaults        0       0
devpts          /dev/pts        devpts  gid=5,mode=620  0       0
sysfs           /sys    sysfs   defaults                0       0
proc            /proc   proc    defaults                0       0
/dev/dm-0       /       ext3    defaults                1       1
/dev/dm-1       /opt    ext3    defaults                1       2
/dev/dm-2       /home   ext3    defaults                1       2
/dev/dm-3       swap    swap    defaults                0       0
UUID=2cebc311-55ce-4670-ae4c-1163aca1db05       /boot   ext3    defaults                1       2

this file was created by the fedora system, not by me, notice the /dev/dm-* devices. these apparently are lvm logical volumes.

so when i followed the steps specified, the system would not boot throwing the following messages

Unable to access resume device /dev/dm-3
mount: error mounting /dev/root on /sysroot as ext3: No such file of directory

i figured this is due to the fstab file and made the following changes

tmpfs               /dev/shm                tmpfs   defaults        0       0
devpts              /dev/pts                devpts  gid=5,mode=620  0       0
sysfs               /sys                    sysfs   defaults        0       0
proc                /proc                   proc    defaults        0       0
/dev/primary/root   /                       ext3    defaults        1       1
/dev/primary/opt    /opt                    ext3    defaults        1       2
/dev/primary/home   /home                   ext3    defaults        1       2
/dev/primary/swap   swap                    swap    defaults        0       0
/dev/sda9           /boot                   ext3    defaults        1       2

theb i recreated the initrd image and only then it works perfectly.

So i believe theres a bug in the mkinitrd tool that needs fixing.

Regards
~Sameer
Comment 68 Sameer Naik 2008-12-10 01:34:08 EST
I think i should also mention that a few days back i installed an ndiswrapper modules enabled kernel using the fedora/rpmfusion yum repositories and that kernel too would not boot throwing the same message

Unable to access resume device /dev/dm-3
mount: error mounting /dev/root on /sysroot as ext3: No such file of directory

I did not worry about it (thinking that there could be an error in the kernel) and just got rid of the ndiswrapper enabled kernel. But now i see where the problem came from.

Regards
~Sameer

(In reply to comment #67)
> I got it working but not without changes in my /etc/fstab.
> I use LVM partitions for my F10 installation and this is what my /etc/fstab
> looked like
> 
> tmpfs           /dev/shm        tmpfs   defaults        0       0
> devpts          /dev/pts        devpts  gid=5,mode=620  0       0
> sysfs           /sys    sysfs   defaults                0       0
> proc            /proc   proc    defaults                0       0
> /dev/dm-0       /       ext3    defaults                1       1
> /dev/dm-1       /opt    ext3    defaults                1       2
> /dev/dm-2       /home   ext3    defaults                1       2
> /dev/dm-3       swap    swap    defaults                0       0
> UUID=2cebc311-55ce-4670-ae4c-1163aca1db05       /boot   ext3    defaults       
>         1       2
> 
> this file was created by the fedora system, not by me, notice the /dev/dm-*
> devices. these apparently are lvm logical volumes.
> 
> so when i followed the steps specified, the system would not boot throwing the
> following messages
> 
> Unable to access resume device /dev/dm-3
> mount: error mounting /dev/root on /sysroot as ext3: No such file of directory
> 
> i figured this is due to the fstab file and made the following changes
> 
> tmpfs               /dev/shm                tmpfs   defaults        0       0
> devpts              /dev/pts                devpts  gid=5,mode=620  0       0
> sysfs               /sys                    sysfs   defaults        0       0
> proc                /proc                   proc    defaults        0       0
> /dev/primary/root   /                       ext3    defaults        1       1
> /dev/primary/opt    /opt                    ext3    defaults        1       2
> /dev/primary/home   /home                   ext3    defaults        1       2
> /dev/primary/swap   swap                    swap    defaults        0       0
> /dev/sda9           /boot                   ext3    defaults        1       2
> 
> theb i recreated the initrd image and only then it works perfectly.
> 
> So i believe theres a bug in the mkinitrd tool that needs fixing.
> 
> Regards
> ~Sameer
Comment 69 Hans de Goede 2008-12-10 03:07:59 EST
(In reply to comment #68)
> I think i should also mention that a few days back i installed an ndiswrapper
> modules enabled kernel using the fedora/rpmfusion yum repositories and that
> kernel too would not boot throwing the same message
> 
> Unable to access resume device /dev/dm-3
> mount: error mounting /dev/root on /sysroot as ext3: No such file of directory
> 
> I did not worry about it (thinking that there could be an error in the kernel)
> and just got rid of the ndiswrapper enabled kernel. But now i see where the
> problem came from.
> 


Ok, so this bug is present in the previous version of mkinitrd, which makes sense as the changes in the new version are completely unrelated to your fstab problem. Please file a new bug against mkinitrd for this issue, thanks!
Comment 70 Fedora Update System 2008-12-10 03:35:53 EST
mkinitrd-6.0.71-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mkinitrd-6.0.71-3.fc10
Comment 71 Winfrid Tschiedel 2008-12-10 04:12:30 EST
My problem is solved ( f10 kernel with megaraid_sas did not boot )

Thank you,

Winfrid
Comment 72 Sameer Naik 2008-12-10 07:47:34 EST
ok just did, located at 
https://bugzilla.redhat.com/show_bug.cgi?id=475773

(In reply to comment #69)
> (In reply to comment #68)
> > I think i should also mention that a few days back i installed an ndiswrapper
> > modules enabled kernel using the fedora/rpmfusion yum repositories and that
> > kernel too would not boot throwing the same message
> > 
> > Unable to access resume device /dev/dm-3
> > mount: error mounting /dev/root on /sysroot as ext3: No such file of directory
> > 
> > I did not worry about it (thinking that there could be an error in the kernel)
> > and just got rid of the ndiswrapper enabled kernel. But now i see where the
> > problem came from.
> > 
> 
> 
> Ok, so this bug is present in the previous version of mkinitrd, which makes
> sense as the changes in the new version are completely unrelated to your fstab
> problem. Please file a new bug against mkinitrd for this issue, thanks!
Comment 73 Bill Nottingham 2008-12-10 10:46:23 EST
*** Bug 473305 has been marked as a duplicate of this bug. ***
Comment 74 flo 2008-12-10 11:39:43 EST
works for me on a dell inspiron 9100 (i686), but i wasn't able to update these packets via yum.
i had to download and install them manually.
Comment 75 Dave Jones 2008-12-10 15:27:03 EST
*** Bug 466534 has been marked as a duplicate of this bug. ***
Comment 76 Dave Jones 2008-12-10 15:28:28 EST
*** Bug 473092 has been marked as a duplicate of this bug. ***
Comment 77 wview 2008-12-10 16:00:33 EST
Works fine.
Comment 78 Vince Schiavoni 2008-12-10 23:00:36 EST
Seeing this same bug (I think) on [pre]upgrade F8=>F9. Can't re-build mkinitrd SRPM due to failed deps. Can anything be done to salvage these installs?

REF: http://forums.fedoraforum.org/showthread.php?t=203692

Output:
[...]
vgchange     Wiping internal VG cache
Trying to resume from /dev/VolGroup00/LogVol01
Unable to access resume device (/dev/VolGroup00/LogVol01)
Creating root device.
Mounting root filesystem.
mount: error mounting /dev/root on /sysroot as ext3: No such file or directory
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
Mount failed for selinuxfs on /selinux: No such file or directory
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: No such file or directory
Booting has failed.

Thanks and Regards,
VJS
Comment 79 Fedora Update System 2008-12-11 02:59:16 EST
mkinitrd-6.0.71-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mkinitrd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11149
Comment 80 Lebenskuenstler 2008-12-11 07:34:16 EST
Works also for me. Seems like we can close this bug?

Thank you!
Comment 81 Tom 2008-12-12 12:52:33 EST
I can confirm the updated packages resolve this issue with no obvious ill effects on a Dell Dimension 8300.
Comment 82 Christopher Beland 2008-12-13 16:02:55 EST
It does not appear the fix has made its way into rawhide.
Comment 83 Stephen Warren 2008-12-13 18:15:58 EST
Fix Works For Me! (Dell Inspiron 9300 laptop) Thanks.
Comment 84 Ixor Storm 2008-12-13 22:55:11 EST
It works perfect!

Mine is:

[root@sunshine ~]# uname -ir
2.6.27.5 x86_64

and the laptop is HP nx6325
Comment 85 bsquare 2008-12-15 04:16:34 EST
(In reply to co mment #79)
> mkinitrd-6.0.71-3.fc10 has been pushed to the Fedora 10 testing repository.  If
> problems still persist, please make note of it in this bug report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update mkinitrd'.  You can provide
> feedback for this update here:
> http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11149

(I've arrived on this bug report, following the https://bugzilla.redhat.com/show_bug.cgi?id=466534)
Unfortunately it does not work for me (Dell precision 490).
Without patching the initrd file, I get "error monting /dev/root on /sysroot as ext3: no such file or dir".
With patching, I get "no mount point". 

Under my last F9 kernel running (which means 2.6.27.5-41.fc9.x86_64), I've tried creating various version of initrd file:
 - using the patched packages from http://kojipkgs.fedoraproject.org/packages/mkinitrd/6.0.71/3.fc10/
 - using the patched packages from updates-testing yum repository
 - with the two ones, I've tried with (and obviously updated my grub.conf):
    - mkinitrd -f --with=scsi_wait_scan initrd-2.6.27.7-134.hacked.fc10.x86_64.img 2.6.27.7-134.fc10.x86_64
    - mkinitrd -f --with=scsi_wait_scan --with=ahci initrd-2.6.27.7-134.hacked.fc10.x86_64.img 2.6.27.7-134.fc10.x86_64

I'm still unable to boot Fedora 10 kernel.
What is wrong ?
Comment 86 Hans de Goede 2008-12-15 04:27:27 EST
(In reply to comment #85)
> (In reply to co mment #79)
> > mkinitrd-6.0.71-3.fc10 has been pushed to the Fedora 10 testing repository.  If
> > problems still persist, please make note of it in this bug report.
> >  If you want to test the update, you can install it with 
> >  su -c 'yum --enablerepo=updates-testing update mkinitrd'.  You can provide
> > feedback for this update here:
> > http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11149
> 
> (I've arrived on this bug report, following the
> https://bugzilla.redhat.com/show_bug.cgi?id=466534)
> Unfortunately it does not work for me (Dell precision 490).
> Without patching the initrd file, I get "error monting /dev/root on /sysroot as
> ext3: no such file or dir".
> With patching, I get "no mount point". 
> 
> Under my last F9 kernel running (which means 2.6.27.5-41.fc9.x86_64), I've
> tried creating various version of initrd file:
>  - using the patched packages from
> http://kojipkgs.fedoraproject.org/packages/mkinitrd/6.0.71/3.fc10/
>  - using the patched packages from updates-testing yum repository
>  - with the two ones, I've tried with (and obviously updated my grub.conf):
>     - mkinitrd -f --with=scsi_wait_scan
> initrd-2.6.27.7-134.hacked.fc10.x86_64.img 2.6.27.7-134.fc10.x86_64
>     - mkinitrd -f --with=scsi_wait_scan --with=ahci
> initrd-2.6.27.7-134.hacked.fc10.x86_64.img 2.6.27.7-134.fc10.x86_64
> 
> I'm still unable to boot Fedora 10 kernel.
> What is wrong ?

This is a different issue, can you please file a new bug for this, and put me in the CC?

Thanks!
Comment 87 bsquare 2008-12-15 04:56:08 EST
> This is a different issue, can you please file a new bug for this, and put me
> in the CC?
> 
> Thanks!

In fact it corresponds to bug https://bugzilla.redhat.com/show_bug.cgi?id=466534 but it has been marked (wrongly ?) duplicate of this one.

Should I create a new bug anyway ?
Comment 88 Dawid Pietrala 2008-12-15 18:18:47 EST
unfortunately, the fix did not work for me.

mkinitrd-6.0.71-3.fc10.i386

my lspci -vvv

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information <?>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f4400000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at 4000 [size=8]
	Region 2: Memory at e0000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at f4480000 (32-bit, non-prefetchable) [size=256K]
	Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Count=1/1 Enable-
		Address: 00000000  Data: 0000
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel modules: intelfb

00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f4500000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f4580000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
		Address: 0000000000000000  Data: 0000
	Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
			ClockPM- Suprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [130] Root Complex Link <?>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=08, subordinate=08, sec-latency=0
	I/O behind bridge: 0000f000-00000fff
	Memory behind bridge: fff00000-000fffff
	Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
			ClockPM- Suprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise+
			Slot #  2, PowerLimit 10.000000; Interlock- NoCompl-
		SltCtl:	Enable: AttnBtn+ PwrFlt- MRL- PresDet+ CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Count=1/1 Enable-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: Hewlett-Packard Company Device 30a2
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [180] Root Complex Link <?>
	Kernel driver in use: pcieport-driver

00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=10, subordinate=10, sec-latency=0
	I/O behind bridge: 0000f000-00000fff
	Memory behind bridge: f4000000-f40fffff
	Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #2, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <256ns, L1 <4us
			ClockPM- Suprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise+
			Slot #  3, PowerLimit 0.160000; Interlock- NoCompl-
		SltCtl:	Enable: AttnBtn+ PwrFlt- MRL- PresDet+ CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Count=1/1 Enable-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: Hewlett-Packard Company Device 30a2
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [180] Root Complex Link <?>
	Kernel driver in use: pcieport-driver

00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=20, subordinate=20, sec-latency=0
	I/O behind bridge: 00002000-00003fff
	Memory behind bridge: f0000000-f3ffffff
	Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
			ExtTag- RBE- FLReset-
		DevCtl:	Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #4, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
			ClockPM- Suprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise+
			Slot #  4, PowerLimit 0.160000; Interlock- NoCompl-
		SltCtl:	Enable: AttnBtn+ PwrFlt- MRL- PresDet+ CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Count=1/1 Enable-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: Hewlett-Packard Company Device 30a2
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [180] Root Complex Link <?>
	Kernel driver in use: pcieport-driver

00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 4020 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 4040 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 4060 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01) (prog-if 00 [UHCI])
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 4: I/O ports at 4080 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01) (prog-if 20 [EHCI])
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at f4584000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=02, subordinate=06, sec-latency=32
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: f4100000-f43fffff
	Prefetchable memory behind bridge: 0000000040000000-0000000043ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [50] Subsystem: Hewlett-Packard Company Device 30a2

00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 01)
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information <?>
	Kernel modules: intel-rng, iTCO_wdt

00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 01) (prog-if 80 [Master])
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 40a0 [size=16]
	Capabilities: [70] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: ata_piix

02:06.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 128 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at f4100000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
	Memory window 0: 40000000-43fff000 (prefetchable)
	Memory window 1: 44000000-47fff000
	I/O window 0: 00005000-000050ff
	I/O window 1: 00005400-000054ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus
	Kernel modules: yenta_socket

02:06.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller (prog-if 10 [OHCI])
	Subsystem: Hewlett-Packard Company Device 30a2
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at f4101000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at f4104000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [44] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME+
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

02:0e.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
	Subsystem: Hewlett-Packard Company NX7300 laptop
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f4108000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [40] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=2 PME-
	Kernel driver in use: b44
	Kernel modules: b44

10:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
	Subsystem: Hewlett-Packard Company Compaq 6710b
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at f4000000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [c8] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
		Address: 0000000000000000  Data: 0000
	Capabilities: [e0] Express (v1) Legacy Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 unlimited
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <128ns, L1 <64us
			ClockPM+ Suprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO+ CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSVoil-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSVoil-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSVoil-
		CESta:	RxErr- BadTLP+ BadDLLP+ Rollover- Timeout- NonFatalErr-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
		AERCap:	First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-
	Capabilities: [140] Device Serial Number 80-43-c2-ff-ff-d2-19-00
	Kernel driver in use: iwl3945
	Kernel modules: iwl3945
Comment 89 Hans de Goede 2008-12-16 03:05:04 EST
(In reply to comment #88)
> unfortunately, the fix did not work for me.
> 

That description is not really usefull. Can you please *precisely* describe what is not working, what is happening, what messages are you seeing, what did you expect to see?

Unless your problem is that you are still seeing the "Could not detect stabilization, waiting 10 seconds" message, the problem you have is a different bug. Please file a new bug for this.
Comment 90 Dawid Pietrala 2008-12-16 03:18:47 EST
all right.

so despite having mkinitrd-6.0.71-3.fc10.i386 installed, i still see the "could not detect stabilization" message. actually, no improvement after update.
Comment 91 Hans de Goede 2008-12-16 03:35:00 EST
(In reply to comment #90)
> all right.
> 
> so despite having mkinitrd-6.0.71-3.fc10.i386 installed, i still see the "could
> not detect stabilization" message. actually, no improvement after update.

Did you follow the instructions for re-generating the initrd, as given in the update description:
http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11149

And in this bug in comment 52 ?
Comment 92 Dawid Pietrala 2008-12-16 05:25:12 EST
(In reply to comment #91)
> (In reply to comment #90)
> > all right.
> > 
> > so despite having mkinitrd-6.0.71-3.fc10.i386 installed, i still see the "could
> > not detect stabilization" message. actually, no improvement after update.
> 
> Did you follow the instructions for re-generating the initrd, as given in the
> update description:
> http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11149
> 
> And in this bug in comment 52 ?

well, i didn't. i installed it from updates-testing and i thought it wasn't necessary. sorry for bothering you.
Comment 93 Hans de Goede 2008-12-16 11:13:36 EST
(In reply to comment #87)
> > This is a different issue, can you please file a new bug for this, and put me
> > in the CC?
> > 
> > Thanks!
> 
> In fact it corresponds to bug
> https://bugzilla.redhat.com/show_bug.cgi?id=466534 but it has been marked
> (wrongly ?) duplicate of this one.
> 

Ah, bug 466534 actually is a duplicate of 466607, not of this one (fixed now). but the fix is the same.

> Should I create a new bug anyway ?

As the updated mkinitrd available here also fixes 466607, and does not fix you issue. yes please!
I think you're seeing the same as:
bug 471729
bug 472011

Did you by any chance do a pre-upgrade?

Can you please attach (from rescue mode or booting an older kernel) the contents of /etc/grub.conf, /etc/fstab and the output of blkid ?
Comment 94 Alexei Podtelezhnikov 2008-12-16 21:26:17 EST
Dell Dimension E510/5150 desktop circa 2005: 
SAME HERE! ... wasting 10 seconds during boot on God knows what ...

This is actually why I hate pretty boot graphics. It hides the (lack of) action.
Comment 95 bsquare 2008-12-17 05:31:57 EST
(In reply to comment #93)
> (In reply to comment #87)
> > In fact it corresponds to bug
> > https://bugzilla.redhat.com/show_bug.cgi?id=466534 but it has been marked
> > (wrongly ?) duplicate of this one.
> 
> Ah, bug 466534 actually is a duplicate of 466607, not of this one (fixed now).
> but the fix is the same.
Ok.

> > Should I create a new bug anyway ?
> 
> As the updated mkinitrd available here also fixes 466607, and does not fix you
> issue. yes please!
Ok.

> I think you're seeing the same as:
> bug 471729
> bug 472011
Yes, it seems that my problem is very near those ones.
> 
> Did you by any chance do a pre-upgrade?
No, but I've used yum only.

> Can you please attach (from rescue mode or booting an older kernel) the
> contents of /etc/grub.conf, /etc/fstab and the output of blkid ?
Ok, I'll do it to new bug.
Comment 96 Fedora Update System 2008-12-17 19:41:18 EST
mkinitrd-6.0.71-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 97 JC 2008-12-21 16:31:41 EST
Hmmm... It is December 21st, and yum still does not see the new mkinitrd rpm in the default fedora repositories... is the "stable" repository different than the default ones?
Comment 98 Christopher Beland 2008-12-22 15:43:01 EST
Seems to be fixed in rawhide now as of mkinitrd-6.0.73-7.fc11.x86_64.
Comment 99 Makoto Mizukami 2008-12-22 23:57:13 EST
In x86, I was able to update mkinitrd to "mkinitrd-6.0.71-3.fc10.i386" from the update repository.
This problem seems to be resolved perfectly with the new mkinitrd!
Comment 100 Thomas Spura 2008-12-23 11:01:06 EST
(In reply to comment #97)
> Hmmm... It is December 21st, and yum still does not see the new mkinitrd rpm in
> the default fedora repositories... is the "stable" repository different than
> the default ones?

Now yum sees the new mkinitrd.
Is a 6 day delay the normal case?

But works fine with "mkinitrd-6.0.71-3.fc10.x86_64" now.
Comment 101 Hans de Goede 2008-12-23 14:06:32 EST
(In reply to comment #100)
> (In reply to comment #97)
> > Hmmm... It is December 21st, and yum still does not see the new mkinitrd rpm in
> > the default fedora repositories... is the "stable" repository different than
> > the default ones?
> 
> Now yum sees the new mkinitrd.
> Is a 6 day delay the normal case?
> 

No, we had a hickup in the updates system. We believe we have tracked down the cause and this will not happen again.

Regards,

Hans
Comment 102 Shrikant Odugoudar 2008-12-23 20:33:25 EST
Hmm, even after the update, I'm still getting the message.

[hitboxx@Mothership ~]$ cat /var/log/boot.log
Could not detect stabilization, waiting 10 seconds.
		Welcome to Fedora 
		Press 'I' to enter interactive startup.
Starting udev:                                             [  OK  ]
Setting hostname Mothership:                               [  OK  ]
Setting up Logical Volume Management:                      [  OK  ]
Checking filesystems
/: clean, 184276/442368 files, 1484332/1763125 blocks
/home: clean, 51155/493856 files, 1538968/1967954 blocks
                                                           [  OK  ]
Remounting root filesystem in read-write mode:             [  OK  ]
Mounting local filesystems:                                [  OK  ]
Enabling local filesystem quotas:                          [  OK  ]
Enabling /etc/fstab swaps:                                 [  OK  ]
Entering non-interactive startup
Applying Intel CPU microcode update:                       [  OK  ]
iptables: Applying firewall rules:                         [  OK  ]
Checking for module nvidia.ko:                             [  OK  ]
Enabling the nvidia driver: Driver already enabled.
                                                           [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:                                [  OK  ]
Starting auditd:                                           [  OK  ]
Starting system logger:                                    [  OK  ]
Starting irqbalance:                                       [  OK  ]
Starting rpcbind:                                          [  OK  ]
Starting NFS statd:                                        [  OK  ]
Starting RPC idmapd:                                       [  OK  ]
Starting system message bus:                               [  OK  ]
Mounting other filesystems:                                [  OK  ]
Starting acpi daemon:                                      [  OK  ]
Starting HAL daemon:                                       [  OK  ]
Starting portreserve:                                      [  OK  ]
Starting VirtualBox kernel module                          [  OK  ]
Registering binary handler for qemu applications
Starting crond:                                            [  OK  ]
Starting libvirtd daemon:                                  [  OK  ]
Registering binary handler for Windows applications:       [  OK  ]

[hitboxx@Mothership ~]$ yum list installed | grep mkinitrd
mkinitrd.x86_64                             6.0.71-3.fc10              installed

[hitboxx@Mothership ~]$ uname -a
Linux Mothership 2.6.27.7-134.fc10.x86_64 #1 SMP Mon Dec 1 22:21:35 EST 2008 x86_64 x86_64 x86_64 GNU/Linux
Comment 103 Hans de Goede 2008-12-24 03:48:15 EST
(In reply to comment #102)
> Hmm, even after the update, I'm still getting the message.
> 

Did you follow the instructions for re-generating the initrd, as given in the
update description:
http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11149

And in this bug in comment 52 ?
Comment 104 Shrikant Odugoudar 2008-12-24 06:34:25 EST
(In reply to comment #103)
> (In reply to comment #102)
> > Hmm, even after the update, I'm still getting the message.
> > 
> 
> Did you follow the instructions for re-generating the initrd, as given in the
> update description:
> http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11149
> 
> And in this bug in comment 52 ?

Oops sorry! I'm missed that part. Did it now and it is fixed.

All is fine now, thanks.
Comment 105 Masoud Pajoh 2008-12-24 17:54:03 EST
this initrd was installed through yumex and through regular updates, not test repos.
While booting my PC still stops with the same message.
Here is more info:
>>ls /boot/init*

/boot/initrd-2.6.27.5-117.fc10.x86_64.img
/boot/initrd-2.6.27.7-134.fc10.x86_64.img

>>rpm -qa |grep initrd
mkinitrd-6.0.71-3.fc10.x86_64 


>>sudo cat /etc/grub.conf
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd2,0)
#          kernel /vmlinuz-version ro root=/dev/sda2
#          initrd /initrd-version.img
#boot=/dev/sda1
default=0
timeout=25
#splashimage=(hd0,0)/grub/splash.xpm.gz
splashimage=(hd0,0)/grub/NadiaNima.xpm.gz
#hiddenmenu
title Fedora (2.6.27.7-134.fc10.x86_64)
	root (hd0,0)
	kernel /vmlinuz-2.6.27.7-134.fc10.x86_64 ro root=UUID=65ea93d6-9f7c-4bc7-8fe5-a7e6a7a69c20 vga=791 usbcore.autosuspend=0
	initrd /initrd-2.6.27.7-134.fc10.x86_64.img
title Fedora (2.6.27.5-117.fc10.x86_64)
	root (hd0,0)
	kernel /vmlinuz-2.6.27.5-117.fc10.x86_64 ro root=UUID=65ea93d6-9f7c-4bc7-8fe5-a7e6a7a69c20 vga=791 usbcore.autosuspend=0
	initrd /initrd-2.6.27.5-117.fc10.x86_64.img
title Windows 2000
        map (hd0) (hd1)
        map (hd1) (hd0)
	rootnoverify (hd1,0)
        makeactive
	chainloader +1
        boot



Now what?
Comment 106 Hans de Goede 2008-12-25 03:50:37 EST
(In reply to comment #105)
> Now what?

Try reading the comment one comment above yours (so comment 104) or 2 comments above yours (so comments 103).
Comment 107 Masoud Pajoh 2008-12-25 12:45:53 EST
Sorry,but I thought tghat when yum instal;led this as a part up update this:

mkinitrd /boot/initrd-$(uname -r).img $(uname -r)

would be part of Script, but obviously not.

After doing that myself, now the p[roblem is corrected.

thanks for the help.
Comment 108 priya 2008-12-25 23:50:57 EST
It worked perfectly for me. I was able to reduce upto 12s my booting time by removing all services and removing this bug. Thank you